import { CfnDataSource, CfnGraphQLSchema, CfnResolver } from 'aws-cdk-lib/aws-appsync';
import { Role } from 'aws-cdk-lib/aws-iam';
import { StateMachine } from 'aws-cdk-lib/aws-stepfunctions';
import { Construct } from 'constructs';
export interface AppSyncDataSourceStepFunctionsExpressProps {
    readonly apiId: string;
}
export interface CreateStateMachineResolverProps {
    readonly stateMachine: StateMachine;
    readonly schema: CfnGraphQLSchema;
    readonly typeName: string;
    readonly fieldName: string;
}
export declare class AppSyncDataSourceStepFunctionsExpress extends Construct {
    readonly role: Role;
    readonly dataSource: CfnDataSource;
    constructor(scope: Construct, id: string, props: AppSyncDataSourceStepFunctionsExpressProps);
    createStateMachineResolver(id: string, props: CreateStateMachineResolverProps): CfnResolver;
}
